Draft Offset/it: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "== Opzioni ==")
Line 14: Line 14:
# Selezionare un punto nella vista 3D, o fornire una distanza
# Selezionare un punto nella vista 3D, o fornire una distanza


==Options==
== Opzioni ==


* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.

Revision as of 16:06, 13 February 2014

Offset

Posizione nel menu
Draft → Offset
Ambiente
Draft, Architettura
Avvio veloce
O S
Introdotto nella versione
-
Vedere anche
Nessuno

Descrizione

Lo strumento Offset crea un duplicato (scalato e equidistante) dell'oggetto selezionato a una determinata distanza nel piano di lavoro corrente. Se nessun oggetto è selezionato, viene chiesto di selezionarne uno.

Utilizzo

  1. Selezionare gli oggetti che si desidera scostare
  2. Premere il pulsante Template:KEY/it, o premere i tasti Template:KEY/it e Template:KEY/it
  3. Selezionare un punto nella vista 3D, o fornire una distanza

Opzioni

  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain you to the current segment, instead of picking the closest one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Offset tool can by used in macros and from the python console by using the following function:

 offset (object,Vector,[copymode],[bind],[sym])
  • Offsets the given wire by applying the given Vector to its first vertex.
  • If copymode is True, another object is created, otherwise the same object gets offsetted.
  • If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
  • If sym is True, the offset is made on both sides, the total width being the length of the given vector.
  • Returns the offsetted object (or its copy if copymode as True).

Example:

 import FreeCAD,Draft
 Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))